Leads
Leads
Leads are individuals that interact with your social content. Oktopost collects and stores leads' publicly available information. This endpoint can be used to list, get and delete leads.
List Leads
By default, this endpoint returns only non-deleted Leads with a valid email address. Set all_leads=true to include leads without an email.
Example Request
curl -i https://api.oktopost.com/v2/leadParameters
| Param | Default | Description |
|---|---|---|
| search | - | Optional |
| _page | 0 | Optional |
| _count | 25 | Optional |
| all_leads | false | Optional. When set to true, returns all leads regardless of email status. By default, only leads with a valid email address are returned. |
Example Result
{
"Result": true,
"Items": [
{
"Id": "0ld000000000001",
"ParentId": null,
"AccountId": "00100000000001",
"Type": "person",
"Email": "john@example.com",
"Name": "John Doe",
"FirstName": "John",
"LastName": "Doe",
"Photo": null,
"Phone": null,
"IsTracked": true,
"Profiles": [
{
"Network": "Instagram",
"Url": "https:\/\/instagram.com\/..."
},
{
"Network": "Twitter",
"Url": "https:\/\/twitter.com\/..."
}
],
"RemoteLeads": [
{
"IntegrationID": "014000000000000",
"RemoteIdentifier": "...",
"LinkedLeadId": "...",
"IntegrationType": "eloqua"
},
{
"IntegrationID": "014000000000000",
"RemoteIdentifier": "...",
"LinkedLeadId": "...",
"IntegrationType": "hubspot"
}
]
}
]
}Get Lead
Example Request
curl -i https://api.oktopost.com/v2/lead/0ld000000000001Example Result
{
"Result": true,
"Lead": {
"Id": "0ld000000000001",
"ParentId": null,
"AccountId": "00100000000001",
"Type": "person",
"Email": "john@example.com",
"Name": "John Doe",
"FirstName": "John",
"LastName": "Doe",
"Photo": null,
"Phone": null,
"IsTracked": true,
"Profiles": [
{
"Network": "Instagram",
"Url": "https:\/\/instagram.com\/..."
},
{
"Network": "Twitter",
"Url": "https:\/\/twitter.com\/..."
}
],
"RemoteLeads": [
{
"IntegrationID": "014000000000000",
"RemoteIdentifier": "...",
"LinkedLeadId": "...",
"IntegrationType": "eloqua"
},
{
"IntegrationID": "014000000000000",
"RemoteIdentifier": "...",
"LinkedLeadId": "...",
"IntegrationType": "hubspot"
}
]
}
}Delete Lead
Example Request
curl -i https://api.oktopost.com/v2/lead/0ld000000000001 -X DELETEComments
This endpoint allows you to read post comments from connected profiles and pages.
Lead Activity
Lead activities are social interactions (reactions, shares, clicks, comments, mentions, etc.) that the platform was able to associate with a specific person. This endpoint can be used to list and delete lead activities.